cURL
curl -X DELETE https://reygrid.com/api/v1/agents/{AgentId}/sources/b7a1e2c4-5d3f-4e8a-9b10-2c4d6e8f0a1b \
-H "Authorization: Bearer $REYGRID_API_KEY"from reygrid import ReyGrid
client = ReyGrid(api_key="YOUR_API_KEY")
client.delete_source("{AgentId}", "b7a1e2c4-5d3f-4e8a-9b10-2c4d6e8f0a1b")import { ReyGrid } from "reygrid";
const client = new ReyGrid({ apiKey: "YOUR_API_KEY" });
await client.deleteSource("{AgentId}", "b7a1e2c4-5d3f-4e8a-9b10-2c4d6e8f0a1b");{
"success": true,
"deleted": true
}{
"error": "Unauthorized",
"code": "AUTH_REQUIRED"
}{
"success": false,
"error": {
"code": "SOURCE_NOT_FOUND",
"message": "This source does not exist"
}
}Knowledge
Delete a source
Removes a source and everything indexed from it (all chunks of a file or page).
DELETE
/
agents
/
{agentId}
/
sources
/
{sourceId}
cURL
curl -X DELETE https://reygrid.com/api/v1/agents/{AgentId}/sources/b7a1e2c4-5d3f-4e8a-9b10-2c4d6e8f0a1b \
-H "Authorization: Bearer $REYGRID_API_KEY"from reygrid import ReyGrid
client = ReyGrid(api_key="YOUR_API_KEY")
client.delete_source("{AgentId}", "b7a1e2c4-5d3f-4e8a-9b10-2c4d6e8f0a1b")import { ReyGrid } from "reygrid";
const client = new ReyGrid({ apiKey: "YOUR_API_KEY" });
await client.deleteSource("{AgentId}", "b7a1e2c4-5d3f-4e8a-9b10-2c4d6e8f0a1b");{
"success": true,
"deleted": true
}{
"error": "Unauthorized",
"code": "AUTH_REQUIRED"
}{
"success": false,
"error": {
"code": "SOURCE_NOT_FOUND",
"message": "This source does not exist"
}
}